# Interface CIMSymbolJson

Represents a symbol reference that contains a CIM symbol. In addition to type listed below, a symbol reference will contain additional properties. More details on CIM symbol reference and CIM symbols are available on github: https://github.com/Esri/cim-spec/blob/master/docs/v2/Overview-Symbols.md.

See https://developers.arcgis.com/web-scene-specification/objects/polygonSymbol3D/.

#### Deprecated

Use CIMSymbolReferenceJson instead.

interface CIMSymbolJson {
type: "CIMSymbolReference";
}

#### Hierarchy (view full)

- SymbolJsonBase
  - CIMSymbolJson

#####
Index

### Properties

type

##
Properties

### type

type

Specifies the type of symbol used.

Overrides SymbolJsonBase.type